Bug 1570311 - Settings in Window Manager Tweaks cause XScreenSaver not to blank and not have an opaque black background
Summary: Settings in Window Manager Tweaks cause XScreenSaver not to blank and not hav...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfwm4
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-21 20:42 UTC by Scott Cohen
Modified: 2018-11-30 21:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:40:03 UTC
Type: Bug


Attachments (Terms of Use)
This is the verbose log that was generated when I was testing the reproducable steps and part of the original email. (8.83 KB, text/plain)
2018-04-21 20:42 UTC, Scott Cohen
no flags Details
This is what I see. (3.01 MB, image/png)
2018-04-21 21:17 UTC, Scott Cohen
no flags Details

Description Scott Cohen 2018-04-21 20:42:52 UTC
Created attachment 1425110 [details]
This is the verbose log that was generated when I was testing the reproducable steps and part of the original email.

I have emailed Jamie Zawinski about this issue and he doesn't know why this would go wrong or how this could break in this way. The following was in the email that I sent him: 

I have found that after changing the Compositor settings in Window Manager Tweaks in Xfce4 and locking the screen, there is blank and there is no black background (I have no hacks set to run in the background) and instead a transparent background which allows me to see my desktop before logging in.

How to reproduce:
1. Have Xfce4 4.12 on Fedora 27 (this is all I have tested this on)
2. Open up Window Manager Tweaks and go to the Compositor tab.
3. Uncheck everything under enable display compositing but not display compositing itself and slide all the sliders to Opaque
4. Force a lock with xscreensaver-command -lock
5. The screen has not blanked out and is transparent and continues to do so when giving input for the password popup.

If the XScreenSaver had just been exited and executed again, there is a chance that the screen will blank. But, if "Display fullscreen overlay windows directly" without quotes in Window Manager Tweaks is checked and unchecked again, then the aforementioned issue occurs again.

The work around to this is to just keep "Display fullscreen overlay windows directly" without quotes checked.  

I am using Fedora 27 updated to the latest packages at the time of writing, XScreensaver 5.38 (binary installation), and Xfce4 4.12 with Xfwm with the following --version output:
    This is xfwm4 version 4.12.4 (revision 7844952) for Xfce 4.12
    Released under the terms of the GNU General Public License.
    Compiled against GTK+-2.24.31, using GTK+-2.24.32.

    Build configuration and supported features:
    - Startup notification support:                 Yes
    - XSync support:                                Yes
    - Render support:                               Yes
    - Xrandr support:                               Yes
    - Embedded compositor:                          Yes
    - KDE systray proxy (deprecated):               No

In case the X server matters this is the output of Xorg --version:
X.Org X Server 1.19.6
Release Date: 2017-12-20
X Protocol Version 11, Revision 0
Build Operating System:  4.15.14-300.fc27.x86_64
Current Operating System: Linux yetoo-Inspiron-570 4.15.15-300.fc27.x86_64 #1 SMP Mon Apr 2 23:14:02 UTC 2018 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.15.15-300.fc27.x86_64 root=UUID=6703edab-3760-44f1-a266-2c74a47d23c7 ro LANG=en_US.UTF-8
Build Date: 12 April 2018  03:55:14PM
Build ID: xorg-x11-server 1.19.6-7.fc27
Current version of pixman: 0.34.0
    Before reporting problems, check http://wiki.x.org
    to make sure that you have the latest version.

Comment 1 Scott Cohen 2018-04-21 21:17:50 UTC
Created attachment 1425123 [details]
This is what I see.

Comment 2 Kevin Fenzi 2018-04-23 21:47:40 UTC
What do you have "Opacity of popup windows" set to? If thats transparent that would do it as xscreensaver maps a popup window over your desktop to lock it. 

If it is set to Opaque then it sounds like a bug in the compositor or something.

Comment 3 Scott Cohen 2018-04-24 01:32:21 UTC
(In reply to Kevin Fenzi from comment #2)
> What do you have "Opacity of popup windows" set to? If thats transparent
> that would do it as xscreensaver maps a popup window over your desktop to
> lock it. 
> 
> If it is set to Opaque then it sounds like a bug in the compositor or
> something.

It's set to Opaque.

Comment 4 Kevin Fenzi 2018-04-24 03:07:03 UTC
ok. Would you mind filing a upstream bug at bugzilla.xfce.org ? 

Or would you prefer we do so?

Comment 5 Scott Cohen 2018-04-24 04:17:01 UTC
I'll do it.

Comment 6 Ben Cotton 2018-11-27 15:39:57 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2018-11-30 21:40:03 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.